This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 578801 - (CVE-2010-0828) CVE-2010-0828 Moin v1.8.7 / v.1.9.2 -- XSS in Despam action
CVE-2010-0828 Moin v1.8.7 / v.1.9.2 -- XSS in Despam action
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
https://bugs.launchpad.net/ubuntu/+so...
impact=moderate,source=secunia,report...
: Security
Depends On: 578803
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-01 08:22 EDT by Jan Lieskovsky
Modified: 2016-03-04 06:31 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 16:11:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-04-01 08:22:08 EDT
Jamie Strandboge of the Ubuntu Security Team reported:
  [1] https://bugs.launchpad.net/ubuntu/+source/moin/+bug/538022

a cross-site scripting (XSS) flaw, present in the Moin's Despam
action module, providing possibility mass to revert changes done
by some specific author / bot. Unprivileged Moin user could provide
a specially-crafted HTML page and trick the privileged user into
running the Despam action on it, leading to disclosure of sensitive
information, denial of 'revert changes service' or potentially,
to execution of arbitrary JavaScript code with the privileges
of the privileged Moin user.

References:
  [2] http://moinmo.in/SecurityFixes
  [3] http://secunia.com/advisories/39188/

Upstream patch:
  [4] http://hg.moinmo.in/moin/1.9/rev/6e603e5411ca
Comment 1 Jan Lieskovsky 2010-04-01 08:23:52 EDT
Public reproducer from Jamie (from [1]):

XSS in Despam page. To reproduce:
1. http://localhost/MyWiki/TestXSS<blink>WARNING</blink>
2. click 'Create new empty page' with text 'Describe TestXSS<blink>WARNING</blink> here.'
3. click Save
4. Login as someone who can Despam (eg, superuser)
5. go to http://localhost/MyWiki/TestXSS%3Cblink%3EWARNING%3C/blink%3E?action=Despam
6. click the appropriate 'Select Author' link (usually the 'localhost' link. If this doesn't work, then login as a non-superuser, make a small edit to the page (eg, remove 'here' from the first line), then log back in as superuser and try to Despam again, clicking 'Select Author' for the user that just made the edit)
7. click 'Revert All!'
8. observe a lot of blinking text (from the pagename)
Comment 2 Jan Lieskovsky 2010-04-01 08:25:27 EDT
This issue affects the current versions of the moin package,
as shipped with Fedora release of 11 and 12.

Please fix.
Comment 4 Fedora Update System 2010-04-03 16:37:13 EDT
moin-1.9.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/moin-1.9.2-2.fc13
Comment 5 Fedora Update System 2010-04-03 16:40:43 EDT
moin-1.8.7-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/moin-1.8.7-2.fc12
Comment 6 Fedora Update System 2010-04-03 16:42:50 EDT
moin-1.8.7-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/moin-1.8.7-2.fc11
Comment 7 Fedora Update System 2010-04-08 21:25:23 EDT
moin-1.8.7-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-04-08 21:46:36 EDT
moin-1.8.7-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-04-08 23:57:13 EDT
moin-1.9.2-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Ville-Pekka Vainio 2010-04-09 16:11:20 EDT
The packages are in stable now, closing.

Note You need to log in before you can comment on or make changes to this bug.